获取当前用户
返回已认证用户的信息。
认证
需要 X-Glue-Authentication。
HTTP 请求
curl -X GET "https://api.hola.cloud/api/v0/me" \
-H "X-Glue-Authentication: YOUR_TOKEN"GET /api/v0/me HTTP/1.1
Host: api.hola.cloud
X-Glue-Authentication: YOUR_TOKEN
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.hola.cloud/api/v0/me", nil)
if err != nil {
panic(err)
}
req.Header.Set("X-Glue-Authentication", "YOUR_TOKEN")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(responseBody))
}
<?php
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.hola.cloud/api/v0/me',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'X-Glue-Authentication: YOUR_TOKEN',
],
]);
$response = curl_exec($ch);
if ($response === false) {
throw new Exception(curl_error($ch));
}
curl_close($ch);
echo $response;
import requests
headers = {
"X-Glue-Authentication": "YOUR_TOKEN",
}
response = requests.request(
"GET",
"https://api.hola.cloud/api/v0/me",
headers=headers
)
print(response.text)
const response = await fetch("https://api.hola.cloud/api/v0/me", {
method: "GET",
headers: {
"X-Glue-Authentication": "YOUR_TOKEN"
}
});
console.log(await response.text());
const response = await fetch("https://api.hola.cloud/api/v0/me", {
method: "GET",
headers: {
"X-Glue-Authentication": "YOUR_TOKEN"
}
});
const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
var request = HttpRequest.newBuilder()
.uri(URI.create("https://api.hola.cloud/api/v0/me"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.header("X-Glue-Authentication", "YOUR_TOKEN")
.build();
var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}示例
curl -X GET "https://api.hola.cloud/api/v0/me" \
-H "X-Glue-Authentication: YOUR_TOKEN"GET /api/v0/me HTTP/1.1
Host: api.hola.cloud
X-Glue-Authentication: YOUR_TOKEN
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.hola.cloud/api/v0/me", nil)
if err != nil {
panic(err)
}
req.Header.Set("X-Glue-Authentication", "YOUR_TOKEN")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(responseBody))
}
<?php
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.hola.cloud/api/v0/me',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'X-Glue-Authentication: YOUR_TOKEN',
],
]);
$response = curl_exec($ch);
if ($response === false) {
throw new Exception(curl_error($ch));
}
curl_close($ch);
echo $response;
import requests
headers = {
"X-Glue-Authentication": "YOUR_TOKEN",
}
response = requests.request(
"GET",
"https://api.hola.cloud/api/v0/me",
headers=headers
)
print(response.text)
const response = await fetch("https://api.hola.cloud/api/v0/me", {
method: "GET",
headers: {
"X-Glue-Authentication": "YOUR_TOKEN"
}
});
console.log(await response.text());
const response = await fetch("https://api.hola.cloud/api/v0/me", {
method: "GET",
headers: {
"X-Glue-Authentication": "YOUR_TOKEN"
}
});
const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
var request = HttpRequest.newBuilder()
.uri(URI.create("https://api.hola.cloud/api/v0/me"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.header("X-Glue-Authentication", "YOUR_TOKEN")
.build();
var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}响应
1{
2 "id": "user_123",
3 "email": "user@example.com",
4 "created_at": "2025-01-15T08:00:00Z"
5}
错误码
| 代码 | 描述 |
|---|---|
| 401 | 认证缺失或无效 |
评论